<?php


namespace App\RestApi\Contract\Controllers;

use App\RestApi\Contract\Resources\ContractResource;
use Illuminate\Http\Request;
use Schaffen\Ged\Contract\Managers\ContractManager;
use Schaffen\Ged\Contract\Repositories\ContractRepository;
use Freelabois\LaravelQuickstart\Traits\Crudable;

class ContractController
{

    use Crudable;

    protected $resource = ContractResource::class;

    public function __construct(
        ContractManager $manager,
        ContractRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request){
        $filter = $request->all();
        return $this->resource::collection($this->repository->findMany($filter));
    }
  
}
