<?php


namespace App\RestApi\Financial\Controllers;


use App\Http\Controller;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\Financial\IntegrationGcred\Managers\IntegrationManager;
use Schaffen\Financial\IntegrationGcred\Repositories\IntegrationRepository;

class IntegrationController extends Controller
{

    use Crudable;
    /**
     * ServiceOrderVisitationController constructor.
     * @param IntegrationManager $manager
     * @param IntegrationRepository $repository
     */
    public function __construct(IntegrationManager $manager){
        $this->manager = $manager;
    }


    public function getContractData(Request $request){
        $filters = $request->all();
        $data = $this->manager->getContractData($filters);
        return response()->json($data);
    }

    public function getInstallmentsData(Request $request){
        $filters = $request->all();
        $data = $this->manager->getInstallmentsData($filters);
        return response()->json($data);
    }

    public function getInstallmentsDataReceived(Request $request){
        $filters = $request->all();
        $data = $this->manager->getInstallmentsDataReceived($filters);
        return response()->json($data);
    }

    public function getLostContracts(Request $request){
        $filters = $request->all();
        $data = $this->manager->getLostContracts($filters);
        return response()->json($data);
    }

    public function getDocuments(){
        $data = $this->manager->getDocuments();
        return $data;
    }

    

    
}