<?php
/**
 * Created for Schaffen IT.
 * User: Wellington Lima
 */

namespace App\RestApi\Person\Controllers;



use Freelabois\LaravelQuickstart\Traits\Crudable;
use App\RestApi\Person\Resources\CompletePersonResource;
use Illuminate\Http\Request;
use Schaffen\Core\Person\Managers\CompletePersonManager;
use Schaffen\Core\Person\Repositories\CompletePersonRepository;

class CompletePersonController
{
    use Crudable;
    

    //protected $resource = CompletePersonResource::class;


    public function __construct(
        CompletePersonManager $manager,
        CompletePersonRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request){
        $filter = $request->all();
        return $this->resource::collection($this->repository->findMany($filter));
    }

    public function show($id){
        return new $this->resource($this->repository->find($id, ['address','contact']));
    }

}
