<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace App\RestApi\Product\Controllers;



use Freelabois\LaravelQuickstart\Traits\Crudable;
use App\RestApi\Product\Resources\ServiceResource;
use Illuminate\Http\Request;
use Schaffen\Core\Product\Managers\ServiceManager;
use Schaffen\Core\Product\Repositories\ServiceRepository;

class ServiceController
{
    use Crudable;

    protected $resource = ServiceResource::class;


    public function __construct(
        ServiceManager $manager,
        ServiceRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request){
        $filter = $request->all();
        $filter['pro_servico'] = ServiceRepository::SERVICO;
        return $this->resource::collection($this->repository->findMany($filter));
    }

    public function show($id){
        return $this->resource::collection($this->repository->findMany(['pro_servico' => 1, 'pro_codigo' => $id]));   
    }
    
}
